xine-lib: xine-lib-1.2.12/src/post/visualizations/fft.h File Reference

xine-lib 1.2.12

Data Structures | Typedefs | Functions
fft.h File Reference

Go to the source code of this file.

## Data Structures
struct | complex_s
struct | fft_s

## Typedefs
typedef struct complex_s | complex_t
typedef struct fft_s | fft_t

## Functions
fft_t * | fft_new (int bits)
void | fft_dispose (fft_t *fft)
void | fft_compute (fft_t *fft, complex_t wave[])
void | fft_window (fft_t *fft, complex_t wave[])
double | fft_amp (int n, complex_t wave[], int bits)
void | fft_scale (complex_t wave[], int bits)
double | fft_amp2 (fft_t *fft, int n, complex_t wave[])

## Typedef Documentation

## ◆ complex_t

typedef struct complex_s complex_t

## ◆ fft_t

typedef struct fft_s fft_t

## Function Documentation

## ◆ fft_amp()

double fft_amp | ( | int | n,
|  | complex_t | wave[],
|  | int | bits
| ) |  |

References bits, IMAG, PERMUTE, and REAL.

## ◆ fft_amp2()

double fft_amp2 | ( | fft_t * | fft,
|  | int | n,
|  | complex_t | wave[]
| ) |  |

References fft_s::bmask, IMAG, fft_s::PermuteTable, and REAL.

Referenced by draw_fftgraph(), and draw_fftscope().

## ◆ fft_compute()

void fft_compute | ( | fft_t * | fft,
|  | complex_t | wave[]
| ) |  |

References fft_s::bits, bits, fft_s::bmask, COSINE, IMAG, fft_s::PermuteTable, REAL, SAMPLES, and SINE.

Referenced by draw_fftgraph(), and draw_fftscope().

## ◆ fft_dispose()

void fft_dispose | ( | fft_t * | fft | ) |

References fft_s::PermuteTable, and fft_s::SineTable.

Referenced by fftgraph_port_close(), and fftscope_port_close().

## ◆ fft_new()

fft_t * fft_new | ( | int | bits | ) |

References ALPHA, fft_s::bits, bits, fft_s::bmask, fft_s::CosineTable, NULL, PERMUTE, fft_s::PermuteTable, SAMPLES, fft_s::SineTable, and fft_s::WinTable.

Referenced by fftgraph_port_open(), and fftscope_port_open().

## ◆ fft_scale()

void fft_scale | ( | complex_t | wave[],
|  | int | bits
| ) |  |

References bits, complex_s::im, and complex_s::re.

Referenced by draw_fftgraph(), and draw_fftscope().

## ◆ fft_window()

void fft_window | ( | fft_t * | fft,
|  | complex_t | wave[]
| ) |  |

References fft_s::bits, bits, IMAG, REAL, SAMPLES, and WINDOW.

Referenced by draw_fftgraph(), and draw_fftscope().